cdac.medinfo.sdk.hl7282.baselibs.segments

## Class TXA

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.TXA

- All Implemented Interfaces:
    ISegment

      public class TXA
      extends Segment

  TXA - Transcription Document Header Segment.

  The TXA segment contains information specific to a transcribed document but does not include the text of the document. The message is created as a result of a document status change. This information updates other health care systems and allows them to identify reports that are available in the transcription system.

  Represents an HL7 TXA message segment. This segment has the following fields:

  TXA-1: Set ID- TXA (SI)Required
  TXA-2: Document Type (CWE)Required
  TXA-3: Document Content Presentation (ID)Conditional
  TXA-4: Activity Date/Time (DTM)Optional
  TXA-5: Primary Activity Provider Code/Name (XCN)Conditional
  TXA-6: Origination Date/Time (DTM)Optional
  TXA-7: Transcription Date/Time (DTM)Conditional
  TXA-8: Edit Date/Time (DTM)Optional
  TXA-9: Originator Code/Name (XCN)Optional
  TXA-10: Assigned Document Authenticator (XCN)Optional
  TXA-11: Transcriptionist Code/Name (XCN)Conditional
  TXA-12: Unique Document Number (EI)Required
  TXA-13: Parent Document Number (EI)Conditional
  TXA-14: Placer Order Number (EI)Optional
  TXA-15: Filler Order Number (EI)Optional
  TXA-16: Unique Document File Name (ST)Optional
  TXA-17: Document Completion Status (ID)Required
  TXA-18: Document Confidentiality Status (ID)Optional
  TXA-19: Document Availability Status (ID)Optional
  TXA-20: Document Storage Status (ID)Optional
  TXA-21: Document Change Reason (ST)Optional
  TXA-22: Authentication Person, Time Stamp (PPN)Conditional
  TXA-23: Distributed Copies (Code and Name of Recipients) (XCN)Optional

  TXA-24: Folder Assignment (CWE)Optional
  TXA-25: Document Title (ST)Optional
  TXA-26: Agreed Due Date/Time (DTM)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TXA()` Constucts the TXA segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssignedDocumentAuthenticator(XCN objAssignedDocumentAuthenticator)` Set the Assigned Document Authenticator.
    `void` | `addAuthenticationPersonTimeStamp(PPN objtempAuthenticationPersonTimeStamp)` Set the Authentication Person Time Stamp.
    `void` | `addAuthenticationPersonTimeStamp(java.lang.String strPersonIndentifier, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondNamesOrInitials, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, DTM objDateTimeActionPerformed, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, ST strSecurityCheck, ID strSecurityCheckScheme)` Set the Authentication Person Time Stamp.
    `void` | `addDistributedCopies(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set Distributed Copies
    `void` | `addDistributedCopies(XCN objDistributedCopies)` Set the Distributed Copies.
    `void` | `addDocumentTitle(ST objDocumentTitle)` Set the Document Title.
    `void` | `addDocumentTitle(java.lang.String strDocumentTitle)` Set the Document Title.
    `void` | `addEditDateTime(DTM objEditDateTime)` Set the Edit Date/Time.
    `void` | `addEditDateTime(java.lang.String strTime)` Set the Edit Date/Time.
    `void` | `addFolderAssignment(CWE objFolderAssignment)` Set the Folder Assignment.
    `void` | `addFolderAssignment(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Folder Assignment.
    `void` | `addOriginatorCodeName(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set Originator Code/Name This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
    `void` | `addOriginatorCodeName(XCN objOriginatorCodeName)` Set the Originator Code Name.
    `void` | `addPlacerOrderNumber(EI objtempPlacerOrderNumber)` Set the Placer Order Number.
    `void` | `addPlacerOrderNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Placer Order Number.
    `void` | `addPrimaryActivityProviderCodeName(XCN objtempPrimaryActivityProviderCodeName)` Set the Primary Activity Provider Code Name.
    `void` | `addTranscriptionistCodeName(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set Transcriptionist Code Name This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
    `void` | `addTranscriptionistCodeName(XCN objTranscriptionistCodeName)` Set the Transcriptionist Code Name.
    `DTM` | `getActivityDateTime()` Retrieves the Activity Date Time.
    `DTM` | `getAgreedDueDateTime()` Retrieves the Agreed Due Date/Time.
    `ISingleCollection<XCN>` | `getAssignedDocumentAuthenticator()` Retrieves the Assigned Document Authenticator.
    `ISingleCollection<PPN>` | `getAuthenticationPersonTimeStamp()` Retrieves the Authentication Person Time Stamp.
    `ISingleCollection<XCN>` | `getDistributedCopies()` Retrieves the Distributed Copies.
    `ID` | `getDocumentAvailabilityStatus()` Retrieves the Document Availability Status.
    `ST` | `getDocumentChangeReason()` Retrieves the Document Change Reason.
    `ID` | `getDocumentCompletionStatus()` Retrieves the Document Completion Status.
    `ID` | `getDocumentConfidentialityStatus()` Retrieves the Document Confidentiality Status.
    `ID` | `getDocumentContentPresentation()` Retrieves the Document Content Presentation.
    `ID` | `getDocumentStorageStatus()` Retrieves the Document Storage Status.
    `ISingleCollection<ST>` | `getDocumentTitle()` Retrieves the Document Title.
    `CWE` | `getDocumentType()` Retrieves the Document Type.
    `ISingleCollection<DTM>` | `getEditDateTime()` Retrieves the Edit Date Time.
    `EI` | `getFillerOrderNumber()` Retrieves the Filler Order Number.
    `ISingleCollection<CWE>` | `getFolderAssignment()` Retrieves the Folder Assignment.
    `DTM` | `getOriginationDateTime()` Retrieves the Origination Date Time.
    `ISingleCollection<XCN>` | `getOriginatorCodeName()` Retrieves the Originator Code Name.
    `EI` | `getParentDocumentNumber()` Retrieves the Parent Document Number.
    `ISingleCollection<EI>` | `getPlacerOrderNumber()` Retrieves the Placer Order Number.
    `ISingleCollection<XCN>` | `getPrimaryActivityProviderCodeName()` Retrieves the Primary Activity Provider Code Name.
    `SI` | `getSetID_TXA()` Retrieves the Set ID-TXA.
    `DTM` | `getTranscriptionDateTime()` Retrieves the Transcription Date Time.
    `ISingleCollection<XCN>` | `getTranscriptionistCodeName()` Retrieves the Transcriptionist Code Name.
    `ST` | `getUniqueDocumentFileName()` Retrieves the Unique Document File Name.
    `EI` | `getUniqueDocumentNumber()` Retrieves the Unique Document Number.
    `void` | `setActivityDateTime(DTM objActivityDateTime)` Set the Activity Date/Time.
    `void` | `setActivityDateTime(java.lang.String strTime)` Set the Activity Date/Time.
    `void` | `setAgreedDueDateTime(DTM objAgreedDueDateTime)` Set the Agreed Date/Time.
    `void` | `setAgreedDueDateTime(java.lang.String strTime)` Set the Agreed Due Date/Time.
    `void` | `setAssignedDocumentAuthenticator(ISingleCollection<XCN> objAssignedDocumentAuthenticatorList)` Set the Assigned Document Authenticator This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
    `void` | `setAssignedDocumentAuthenticator(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set Assigned Document Authenticator This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
    `void` | `setAuthenticationPersonTimeStamp(ISingleCollection<PPN> objAuthenticationPersonTimeStampList)` Set the AuthenticationPersonTimeStamp.
    `void` | `setDistributedCopies(ISingleCollection<XCN> objDistributedCopiesList)` Set the DistributedCopies.
    `void` | `setDocumentAvailabilityStatus(ID objdocumentAvailabilityStatus)` Set the Document Availability Status.
    `void` | `setDocumentAvailabilityStatus(java.lang.String strDocumentAvailabilityStatus)` Set the Document Availability Status.
    `void` | `setDocumentChangeReason(ST objdocumentChangeReason)` Set the Document Change Reason.
    `void` | `setDocumentChangeReason(java.lang.String strDocumentChangeReason)` Set the Document Change Reason.
    `void` | `setDocumentCompletionStatus(ID objdocumentCompletionStatus)` Set the Document Completion Status.
    `void` | `setDocumentCompletionStatus(java.lang.String strDocumentCompletionStatus)` Set the Document Completion Status.
    `void` | `setDocumentConfidentialityStatus(ID objdocumentConfidentialityStatus)` Set the Document Confidentiality Status.
    `void` | `setDocumentConfidentialityStatus(java.lang.String strDocumentConfidentialityStatus)` Set the Document Confidentiality Status.
    `void` | `setDocumentContentPresentation(ID documentContentPresentation)` Set the Document Content Presentation.
    `void` | `setDocumentContentPresentation(java.lang.String strDocumentContentPresentation)` Set the Document Content Presentation.
    `void` | `setDocumentStorageStatus(ID objdocumentStorageStatus)` Set the Document Storage Status.
    `void` | `setDocumentStorageStatus(java.lang.String strDocumentStorageStatus)` Set the Document Storage Status.
    `void` | `setDocumentTitle(ISingleCollection<ST> objDocumentTitleList)` Set the Document Title.
    `void` | `setDocumentType(CWE objDocumentType)` Set the Document Type.
    `void` | `setDocumentType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Document Type.
    `void` | `setEditDateTime(ISingleCollection<DTM> objEditDateTimeList)` Set the Edit Date/Time.
    `void` | `setFillerOrderNumber(EI objfillerOrderNumber)` Set the Filler Order Number.
    `void` | `setFillerOrderNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Filler Order Number.
    `void` | `setFolderAssignment(ISingleCollection<CWE> objFolderAssignmentList)` Set the Folder Assignment.
    `void` | `setOriginationDateTime(DTM objOriginationDateTime)` Set the Origination Date/Time.
    `void` | `setOriginationDateTime(java.lang.String strTime)` Set the Origination Date/Time.
    `void` | `setOriginatorCodeName(ISingleCollection<XCN> objOriginatorCodeNameList)` Set the OriginatorCodeName This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
    `void` | `setParentDocumentNumber(EI objParentDocumentNumber)` Set the Parent Document Number.
    `void` | `setParentDocumentNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Parent Document Number.
    `void` | `setPlacerOrderNumber(ISingleCollection<EI> objPlacerOrderNumberList)` Set the PlacerOrderNumber
    `void` | `setPrimaryActivityProviderCodeName(ISingleCollection<XCN> objPrimaryActivityProviderCodeNameList)` Set the PrimaryActivityProviderCodeName This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
    `void` | `setPrimaryActivityProviderCodeName(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set Primary Activity Provide Code/Name This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
    `void` | `setSetID_TXA(SI objsetID_TXA)` Set the Set ID-TXA.
    `void` | `setSetID_TXA(java.lang.String strSetID_TXA)` Set the Set ID-TXA.
    `void` | `setTranscriptionDateTime(DTM objTranscriptionDateTime)` Set the Transcription Date/Time.
    `void` | `setTranscriptionDateTime(java.lang.String strTime)` Set the Transcription Date/Time.
    `void` | `setTranscriptionistCodeName(ISingleCollection<XCN> objTranscriptionistCodeNameList)` Set the Transcriptionist Code Name This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
    `void` | `setUniqueDocumentFileName(ST objUniqueDocumentFileName)` Set the Unique Document File Name.
    `void` | `setUniqueDocumentFileName(java.lang.String strAccidentDecription)` Set the Unique Document File Name.
    `void` | `setUniqueDocumentNumber(EI objUniqueDocumentNumber)` Set the Unique Document Number.
    `void` | `setUniqueDocumentNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Unique Document Number.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TXA

          public TXA()

      Constucts the TXA segment.

  - ### Method Detail

    - #### getSetID_TXA

          public SI getSetID_TXA()

      Retrieves the Set ID-TXA. This field specifies the number that uniquely identifies this transaction for the purpose of adding, changing, or deleting the transaction.
      Returns:
        SI - setID_TXA

    - #### getDocumentType

          public CWE getDocumentType()

      Retrieves the Document Type. This field identifies the type of document (as defined in the transcription system).
      Returns:
        CWE - documentType

    - #### getDocumentContentPresentation

          public ID getDocumentContentPresentation()

      Retrieves the Document Content Presentation. This field identifies the method by which this document was obtained or originated.
      Returns:
        ID - documentContentPresentation

    - #### getActivityDateTime

          public DTM getActivityDateTime()

      Retrieves the Activity Date Time. This field specify the date/time identified in the document as the date a procedure or activity is performed.
      Returns:
        DTM - activityDateTime

    - #### getPrimaryActivityProviderCodeName

          public ISingleCollection<XCN> getPrimaryActivityProviderCodeName()

      Retrieves the Primary Activity Provider Code Name. This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Returns:
        ISingleCollection - primaryActivityProviderCodeName

    - #### getOriginationDateTime

          public DTM getOriginationDateTime()

      Retrieves the Origination Date Time. This field contains the date and time the document was created (i.e., dictated, recorded, etc.).
      Returns:
        DTM - originationDateTime

    - #### getTranscriptionDateTime

          public DTM getTranscriptionDateTime()

      Retrieves the Transcription Date Time. This field contains the date and time the input was actually transcribed.
      Returns:
        DTM - transcriptionDateTime

    - #### getEditDateTime

          public ISingleCollection<DTM> getEditDateTime()

      Retrieves the Edit Date Time. This field contains the date and time the document was edited.
      Returns:
        ISingleCollection - editDateTime

    - #### getOriginatorCodeName

          public ISingleCollection<XCN> getOriginatorCodeName()

      Retrieves the Originator Code Name. This field identifies the person who originated (i.e., dictated) the document.
      Returns:
        ISingleCollection - originatorCodeName

    - #### getAssignedDocumentAuthenticator

          public ISingleCollection<XCN> getAssignedDocumentAuthenticator()

      Retrieves the Assigned Document Authenticator. This field identifies the person(s) responsible for authenticating the document, who may differ from the originator.
      Returns:
        ISingleCollection - assignedDocumentAuthenticator

    - #### getTranscriptionistCodeName

          public ISingleCollection<XCN> getTranscriptionistCodeName()

      Retrieves the Transcriptionist Code Name. This field identifies the person transcribing the document.
      Returns:
        ISingleCollection - transcriptionistCodeName

    - #### getUniqueDocumentNumber

          public EI getUniqueDocumentNumber()

      Retrieves the Unique Document Number. This field contains a unique document identification number assigned by the sending system.
      Returns:
        EI - uniqueDocumentNumber

    - #### getParentDocumentNumber

          public EI getParentDocumentNumber()

      Retrieves the Parent Document Number. This field contains a document number that identifies the parent document to which this document belongs.
      Returns:
        EI - parentDocumentNumber

    - #### getPlacerOrderNumber

          public ISingleCollection<EI> getPlacerOrderNumber()

      Retrieves the Placer Order Number. This field specifies the placer application's order number.
      Returns:
        ISingleCollection - placerOrderNumber

    - #### getFillerOrderNumber

          public EI getFillerOrderNumber()

      Retrieves the Filler Order Number. This field specifies the order number associated with the filling application.
      Returns:
        EI - fillerOrderNumber

    - #### getUniqueDocumentFileName

          public ST getUniqueDocumentFileName()

      Retrieves the Unique Document File Name. This field contains a unique name assigned to a document by the sending system.
      Returns:
        ST - uniqueDocumentFileName

    - #### getDocumentCompletionStatus

          public ID getDocumentCompletionStatus()

      Retrieves the Document Completion Status. This field identifies the current completion state of the document.
      Returns:
        ID - documentCompletionStatus

    - #### getDocumentConfidentialityStatus

          public ID getDocumentConfidentialityStatus()

      Retrieves the Document Confidentiality Status. This field specifies the degree to which special confidentiality protection should be applied to this information.
      Returns:
        ID - documentConfidentialityStatus

    - #### getDocumentAvailabilityStatus

          public ID getDocumentAvailabilityStatus()

      Retrieves the Document Availability Status. This field identifies a document's availability for use in patient care.
      Returns:
        ID - documentAvailabilityStatus

    - #### getDocumentStorageStatus

          public ID getDocumentStorageStatus()

      Retrieves the Document Storage Status. This field identifies the storage status of the document.
      Returns:
        ID - documentStorageStatus

    - #### getDocumentChangeReason

          public ST getDocumentChangeReason()

      Retrieves the Document Change Reason. This field contains the reason for document status change.
      Returns:
        ST - documentChangeReason

    - #### getAuthenticationPersonTimeStamp

          public ISingleCollection<PPN> getAuthenticationPersonTimeStamp()

      Retrieves the Authentication Person Time Stamp. This field contains a set of components describing by whom and when authentication was performed (either manually or electronically).
      Returns:
        ISingleCollection - authenticationPersonTimeStamp

    - #### getDistributedCopies

          public ISingleCollection<XCN> getDistributedCopies()

      Retrieves the Distributed Copies. This field identifies the persons who received a copy of this document.
      Returns:
        ISingleCollection - distributedCopies

    - #### getFolderAssignment

          public ISingleCollection<CWE> getFolderAssignment()

      Retrieves the Folder Assignment. This field is used to assign documents to folders.
      Returns:
        ISingleCollection - folderAssignment

    - #### getDocumentTitle

          public ISingleCollection<ST> getDocumentTitle()

      Retrieves the Document Title. This field identifies the document title.
      Returns:
        ISingleCollection - documentTitle

    - #### getAgreedDueDateTime

          public DTM getAgreedDueDateTime()

      Retrieves the Agreed Due Date/Time. This field contains the date and time the document is or will be due back to the original author or dictator from the transcriptionist.
      Returns:
        DTM - agreedDueDateTime

    - #### setSetID_TXA

          public void setSetID_TXA(java.lang.String strSetID_TXA)

      Set the Set ID-TXA. This field specifies the number that uniquely identifies this transaction for the purpose of adding, changing, or deleting the transaction.
      Parameters:
        `strSetID_TXA` - specifies setID_TXA.

    - #### setSetID_TXA

          public void setSetID_TXA(SI objsetID_TXA)

      Set the Set ID-TXA. This field specify the number that uniquely identifies this transaction for the purpose of adding, changing, or deleting the transaction.
      Parameters:
        `objsetID_TXA` - specifies setID_TXA.

    - #### setDocumentType

          public void setDocumentType(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Document Type. This field identifies the type of document (as defined in the transcription system).
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDocumentType

          public void setDocumentType(CWE objDocumentType)

      Set the Document Type. This field identifies the type of document (as defined in the transcription system).
      Parameters:
        `objDocumentType` - Object of Document Type.

    - #### setDocumentContentPresentation

          public void setDocumentContentPresentation(java.lang.String strDocumentContentPresentation)

      Set the Document Content Presentation. This field identifies the method by which this document was obtained or originated.
      Parameters:
        `strDocumentContentPresentation` - specifies Document Content Presentation.

    - #### setDocumentContentPresentation

          public void setDocumentContentPresentation(ID documentContentPresentation)

      Set the Document Content Presentation. This field identifies the method by which this document was obtained or originated.
      Parameters:
        `documentContentPresentation` - Use as Document Content Presentation.

    - #### setActivityDateTime

          public void setActivityDateTime(java.lang.String strTime)

      Set the Activity Date/Time. This field contains the date/time identified in the document as the date a procedure or activity was performed.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setActivityDateTime

          public void setActivityDateTime(DTM objActivityDateTime)

      Set the Activity Date/Time. This field contains the date/time identified in the document as the date a procedure or activity was performed.
      Parameters:
        `objActivityDateTime` - Object of Activity Date/Time.

    - #### setPrimaryActivityProviderCodeName

          public void setPrimaryActivityProviderCodeName(java.lang.String strIDNumber,
                                                FN objFamilyName,
                                                java.lang.String strGivenName,
                                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                                java.lang.String strSuffix,
                                                java.lang.String strPrefix,
                                                CWE objSourceTable,
                                                HD objAssigningAuthority,
                                                java.lang.String strNameTypeCode,
                                                java.lang.String strIdentifierCheckDigit,
                                                java.lang.String strCheckDigitScheme,
                                                java.lang.String strIdentifierTypeCode,
                                                HD objAssigningFacility,
                                                java.lang.String strNameRepresentationCode,
                                                CWE objNameContext,
                                                java.lang.String strNameAssemblyOrder,
                                                java.lang.String strEffectiveDate,
                                                java.lang.String strExpirationDate,
                                                java.lang.String strProfessionalSuffix,
                                                CWE objAssigningJurisdiction,
                                                CWE objAssigningAgencyOrDepratment,
                                                java.lang.String strSecurityCheck,
                                                java.lang.String strSecurityCheckScheme)

      Set Primary Activity Provide Code/Name This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `objSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addPrimaryActivityProviderCodeName

          public void addPrimaryActivityProviderCodeName(XCN objtempPrimaryActivityProviderCodeName)

      Set the Primary Activity Provider Code Name. This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `objtempPrimaryActivityProviderCodeName` - Primary Activity Provider Code Name

    - #### setPrimaryActivityProviderCodeName

          public void setPrimaryActivityProviderCodeName(ISingleCollection<XCN> objPrimaryActivityProviderCodeNameList)

      Set the PrimaryActivityProviderCodeName This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `objPrimaryActivityProviderCodeNameList` - List of PrimaryActivityProviderCodeName

    - #### setOriginationDateTime

          public void setOriginationDateTime(java.lang.String strTime)

      Set the Origination Date/Time. This field contains the date/time the document was created(i.e dictated ,recorded etc.)
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setOriginationDateTime

          public void setOriginationDateTime(DTM objOriginationDateTime)

      Set the Origination Date/Time. This field contains the date/time the document was created(i.e dictated ,recorded etc.)
      Parameters:
        `objOrginationDateTime` - Object of Origination Date/Time.

    - #### setTranscriptionDateTime

          public void setTranscriptionDateTime(java.lang.String strTime)

      Set the Transcription Date/Time. This field contains the date and time the input was actually transcribed.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setTranscriptionDateTime

          public void setTranscriptionDateTime(DTM objTranscriptionDateTime)

      Set the Transcription Date/Time. This field contains the date and time the input was actually transcribed.
      Parameters:
        `objTranscriptionDateTime` - Object of Transcription Date/Time.

    - #### addEditDateTime

          public void addEditDateTime(java.lang.String strTime)

      Set the Edit Date/Time. This field contains the date and time the input was actually transcribed.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### addEditDateTime

          public void addEditDateTime(DTM objEditDateTime)

      Set the Edit Date/Time. This field contains the date and time the input was actually transcribed.
      Parameters:
        `objEditDateTime` - Object of Edit Date/Time.

    - #### setEditDateTime

          public void setEditDateTime(ISingleCollection<DTM> objEditDateTimeList)

      Set the Edit Date/Time.
      Parameters:
        `objEditDateTimeList` - List of Edit DateTime

    - #### addOriginatorCodeName

          public void addOriginatorCodeName(java.lang.String strIDNumber,
                                   FN objFamilyName,
                                   java.lang.String strGivenName,
                                   java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                   java.lang.String strSuffix,
                                   java.lang.String strPrefix,
                                   CWE objSourceTable,
                                   HD objAssigningAuthority,
                                   java.lang.String strNameTypeCode,
                                   java.lang.String strIdentifierCheckDigit,
                                   java.lang.String strCheckDigitScheme,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strNameRepresentationCode,
                                   CWE objNameContext,
                                   java.lang.String strNameAssemblyOrder,
                                   java.lang.String strEffectiveDate,
                                   java.lang.String strExpirationDate,
                                   java.lang.String strProfessionalSuffix,
                                   CWE objAssigningJurisdiction,
                                   CWE objAssigningAgencyOrDepratment,
                                   java.lang.String strSecurityCheck,
                                   java.lang.String strSecurityCheckScheme)

      Set Originator Code/Name This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `objSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addOriginatorCodeName

          public void addOriginatorCodeName(XCN objOriginatorCodeName)

      Set the Originator Code Name. This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `objOriginatorCodeName` - Object of Originator Code Name

    - #### setOriginatorCodeName

          public void setOriginatorCodeName(ISingleCollection<XCN> objOriginatorCodeNameList)

      Set the OriginatorCodeName This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `objOriginatorCodeNameList` - List of Originator CodeName

    - #### setAssignedDocumentAuthenticator

          public void setAssignedDocumentAuthenticator(java.lang.String strIDNumber,
                                              FN objFamilyName,
                                              java.lang.String strGivenName,
                                              java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                              java.lang.String strSuffix,
                                              java.lang.String strPrefix,
                                              CWE objSourceTable,
                                              HD objAssigningAuthority,
                                              java.lang.String strNameTypeCode,
                                              java.lang.String strIdentifierCheckDigit,
                                              java.lang.String strCheckDigitScheme,
                                              java.lang.String strIdentifierTypeCode,
                                              HD objAssigningFacility,
                                              java.lang.String strNameRepresentationCode,
                                              CWE objNameContext,
                                              java.lang.String strNameAssemblyOrder,
                                              java.lang.String strEffectiveDate,
                                              java.lang.String strExpirationDate,
                                              java.lang.String strProfessionalSuffix,
                                              CWE objAssigningJurisdiction,
                                              CWE objAssigningAgencyOrDepratment,
                                              java.lang.String strSecurityCheck,
                                              java.lang.String strSecurityCheckScheme)

      Set Assigned Document Authenticator This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `objSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addAssignedDocumentAuthenticator

          public void addAssignedDocumentAuthenticator(XCN objAssignedDocumentAuthenticator)

      Set the Assigned Document Authenticator. This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `objAssignedDocumentAuthenticator` - Object of Assigned Document Authenticator

    - #### setAssignedDocumentAuthenticator

          public void setAssignedDocumentAuthenticator(ISingleCollection<XCN> objAssignedDocumentAuthenticatorList)

      Set the Assigned Document Authenticator This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `objAssignedDocumentAuthenticatorList` - List of Assigned Document Authenticator

    - #### addTranscriptionistCodeName

          public void addTranscriptionistCodeName(java.lang.String strIDNumber,
                                         FN objFamilyName,
                                         java.lang.String strGivenName,
                                         java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                         java.lang.String strSuffix,
                                         java.lang.String strPrefix,
                                         CWE objSourceTable,
                                         HD objAssigningAuthority,
                                         java.lang.String strNameTypeCode,
                                         java.lang.String strIdentifierCheckDigit,
                                         java.lang.String strCheckDigitScheme,
                                         java.lang.String strIdentifierTypeCode,
                                         HD objAssigningFacility,
                                         java.lang.String strNameRepresentationCode,
                                         CWE objNameContext,
                                         java.lang.String strNameAssemblyOrder,
                                         java.lang.String strEffectiveDate,
                                         java.lang.String strExpirationDate,
                                         java.lang.String strProfessionalSuffix,
                                         CWE objAssigningJurisdiction,
                                         CWE objAssigningAgencyOrDepratment,
                                         java.lang.String strSecurityCheck,
                                         java.lang.String strSecurityCheckScheme)

      Set Transcriptionist Code Name This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `objSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addTranscriptionistCodeName

          public void addTranscriptionistCodeName(XCN objTranscriptionistCodeName)

      Set the Transcriptionist Code Name. This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `objTranscriptionistCodeName` - Object of Transcriptionist Code Name

    - #### setTranscriptionistCodeName

          public void setTranscriptionistCodeName(ISingleCollection<XCN> objTranscriptionistCodeNameList)

      Set the Transcriptionist Code Name This field specify the name of the person identified in the document as being responsible for performing the procedure or activity.
      Parameters:
        `objTranscriptionistCodeNameList` - List of Transcriptionist Code Name

    - #### setUniqueDocumentNumber

          public void setUniqueDocumentNumber(java.lang.String strEntityIdentifier,
                                     java.lang.String strNamespaceId,
                                     java.lang.String strUniversalId,
                                     java.lang.String strUniversalIdType)

      Set the Unique Document Number. This identifier specifies
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setUniqueDocumentNumber

          public void setUniqueDocumentNumber(EI objUniqueDocumentNumber)

      Set the Unique Document Number. This identifier specifies
      Parameters:
        `objUniqueDocumentNumber` - Object of Unique Document Number.

    - #### setParentDocumentNumber

          public void setParentDocumentNumber(java.lang.String strEntityIdentifier,
                                     java.lang.String strNamespaceId,
                                     java.lang.String strUniversalId,
                                     java.lang.String strUniversalIdType)

      Set the Parent Document Number. This identifier specifies
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setParentDocumentNumber

          public void setParentDocumentNumber(EI objParentDocumentNumber)

      Set the Parent Document Number. This identifier specifies
      Parameters:
        `objParentDocumentNumber` - Object of Parent Document Number.

    - #### addPlacerOrderNumber

          public void addPlacerOrderNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Placer Order Number. This identifier specifies
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### addPlacerOrderNumber

          public void addPlacerOrderNumber(EI objtempPlacerOrderNumber)

      Set the Placer Order Number.
      Parameters:
        `objtempPlacerOrderNumber` - Placer Order Number

    - #### setPlacerOrderNumber

          public void setPlacerOrderNumber(ISingleCollection<EI> objPlacerOrderNumberList)

      Set the PlacerOrderNumber
      Parameters:
        `objPlacerOrderNumberList` - List of PlacerOrderNumber

    - #### setFillerOrderNumber

          public void setFillerOrderNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Filler Order Number. This identifier specifies
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setFillerOrderNumber

          public void setFillerOrderNumber(EI objfillerOrderNumber)

      Set the Filler Order Number.
      Parameters:
        `objfillerOrderNumber` - Filler Order Number

    - #### setUniqueDocumentFileName

          public void setUniqueDocumentFileName(java.lang.String strAccidentDecription)

      Set the Unique Document File Name.
      Parameters:
        `strAccidentDecription` - Use as AccidentDecription.

    - #### setUniqueDocumentFileName

          public void setUniqueDocumentFileName(ST objUniqueDocumentFileName)

      Set the Unique Document File Name.
      Parameters:
        `objUniqueDocumentFileName` - Object of Unique Document File Name.

    - #### setDocumentCompletionStatus

          public void setDocumentCompletionStatus(java.lang.String strDocumentCompletionStatus)

      Set the Document Completion Status.
      Parameters:
        `strDocumentCompletionStatus` - Use as Document Completion Status.

    - #### setDocumentCompletionStatus

          public void setDocumentCompletionStatus(ID objdocumentCompletionStatus)

      Set the Document Completion Status.
      Parameters:
        `objdocumentCompletionStatus` - Use as documentCompletionStatus.

    - #### setDocumentConfidentialityStatus

          public void setDocumentConfidentialityStatus(java.lang.String strDocumentConfidentialityStatus)

      Set the Document Confidentiality Status. This field specify the degree to which special confidentiality protection should be applied to this information.
      Parameters:
        `strDocumentConfidentialityStatus` - Use as Document Confidentiality Status.

    - #### setDocumentConfidentialityStatus

          public void setDocumentConfidentialityStatus(ID objdocumentConfidentialityStatus)

      Set the Document Confidentiality Status. This field specify the degree to which special confidentiality protection should be applied to this information.
      Parameters:
        `objdocumentConfidentialityStatus` - Object of Document Confidentiality Status.

    - #### setDocumentAvailabilityStatus

          public void setDocumentAvailabilityStatus(java.lang.String strDocumentAvailabilityStatus)

      Set the Document Availability Status.
      Parameters:
        `strDocumentAvailabilityStatus` - Use as DocumentAvailabilityStatus.

    - #### setDocumentAvailabilityStatus

          public void setDocumentAvailabilityStatus(ID objdocumentAvailabilityStatus)

      Set the Document Availability Status.
      Parameters:
        `objdocumentAvailabilityStatus` - Use as documentAvailabilityStatus.

    - #### setDocumentStorageStatus

          public void setDocumentStorageStatus(java.lang.String strDocumentStorageStatus)

      Set the Document Storage Status.
      Parameters:
        `strDocumentStorageStatus` - Use as Document Storage Status.

    - #### setDocumentStorageStatus

          public void setDocumentStorageStatus(ID objdocumentStorageStatus)

      Set the Document Storage Status.
      Parameters:
        `objdocumentStorageStatus` - Use as documentStorageStatus.

    - #### setDocumentChangeReason

          public void setDocumentChangeReason(java.lang.String strDocumentChangeReason)

      Set the Document Change Reason.
      Parameters:
        `strDocumentChangeReason` - Use as Document Change Reason.

    - #### setDocumentChangeReason

          public void setDocumentChangeReason(ST objdocumentChangeReason)

      Set the Document Change Reason.
      Parameters:
        `objdocumentChangeReason` - Use as Document Change Reason.

    - #### addAuthenticationPersonTimeStamp

          public void addAuthenticationPersonTimeStamp(java.lang.String strPersonIndentifier,
                                              FN objFamilyName,
                                              java.lang.String strGivenName,
                                              java.lang.String strSecondNamesOrInitials,
                                              java.lang.String strSuffix,
                                              java.lang.String strPrefix,
                                              java.lang.String strSourceTable,
                                              HD objAssigningAuthority,
                                              java.lang.String strNameTypeCode,
                                              java.lang.String strIdentifierCheckDigit,
                                              java.lang.String strCheckDigitScheme,
                                              java.lang.String strIdentifierTypeCode,
                                              HD objAssigningFacility,
                                              DTM objDateTimeActionPerformed,
                                              java.lang.String strNameRepresentationCode,
                                              CWE objNameContext,
                                              java.lang.String strNameAssemblyOrder,
                                              DTM objEffectiveDate,
                                              DTM objExpirationDate,
                                              java.lang.String strProfessionalSuffix,
                                              CWE objAssigningJurisdiction,
                                              CWE objAssigningAgencyOrDepartment,
                                              ST strSecurityCheck,
                                              ID strSecurityCheckScheme)

      Set the Authentication Person Time Stamp.
      Parameters:
        `strIdNumber` - Coded ID according to a user-defined table,
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - First name.
        `strSecondNamesOrInitials` - Multiple middle names may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Source is used as the HL7 identifier for the user-defined table of values for this component.
        `objAssigningAuthority` - The assigning authority is a unique identifier of the system
        `strNameTypeCode` - A code that represents the type of name.
        `strIdentifierCheckDigit` - The check digit in this data type is not an add-on produced by the message processor.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed.
        `strIdentifierTypeCode` - A code corresponding to the type of identifier.
        `objAssigningFacility` - The place or location identifier where the identifier was first assigned to the patient.
        `objDateTimeActionPerformed` - This component describes when the activity was performed.
        `strNameRepresentationCode` - Different name/address types and representations of the same name/address should be described by repeating of this field
        `objNameContext` - This component is used to designate the context in which a name is used.
        `strNameAssemblyOrder` - A code that represents the preferred display order of the components of this person name.
        `objEffectiveDate` - The first date, if known, on which the address is valid and active.
        `objExpirationDate` - The last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession
        `objAssigningJurisdiction` - The geo-political body that assigned the identifier in component 1.
        `objAssigningAgencyOrDepartment` - The agency or department that assigned the identifier in component 1.

    - #### addAuthenticationPersonTimeStamp

          public void addAuthenticationPersonTimeStamp(PPN objtempAuthenticationPersonTimeStamp)

      Set the Authentication Person Time Stamp.
      Parameters:
        `objtempAuthenticationPersonTimeStamp` - Authentication Person Time Stamp

    - #### setAuthenticationPersonTimeStamp

          public void setAuthenticationPersonTimeStamp(ISingleCollection<PPN> objAuthenticationPersonTimeStampList)

      Set the AuthenticationPersonTimeStamp.
      Parameters:
        `objAuthenticationPersonTimeStampList` - List of AuthenticationPersonTimeStamp

    - #### addDistributedCopies

          public void addDistributedCopies(java.lang.String strIDNumber,
                                  FN objFamilyName,
                                  java.lang.String strGivenName,
                                  java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                  java.lang.String strSuffix,
                                  java.lang.String strPrefix,
                                  CWE objSourceTable,
                                  HD objAssigningAuthority,
                                  java.lang.String strNameTypeCode,
                                  java.lang.String strIdentifierCheckDigit,
                                  java.lang.String strCheckDigitScheme,
                                  java.lang.String strIdentifierTypeCode,
                                  HD objAssigningFacility,
                                  java.lang.String strNameRepresentationCode,
                                  CWE objNameContext,
                                  java.lang.String strNameAssemblyOrder,
                                  java.lang.String strEffectiveDate,
                                  java.lang.String strExpirationDate,
                                  java.lang.String strProfessionalSuffix,
                                  CWE objAssigningJurisdiction,
                                  CWE objAssigningAgencyOrDepratment,
                                  java.lang.String strSecurityCheck,
                                  java.lang.String strSecurityCheckScheme)

      Set Distributed Copies
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `objSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addDistributedCopies

          public void addDistributedCopies(XCN objDistributedCopies)

      Set the Distributed Copies.
      Parameters:
        `objDistributedCopies` - Distributed Copies

    - #### setDistributedCopies

          public void setDistributedCopies(ISingleCollection<XCN> objDistributedCopiesList)

      Set the DistributedCopies.
      Parameters:
        `objDistributedCopiesList` - List of Distributed Copies

    - #### addFolderAssignment

          public void addFolderAssignment(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Folder Assignment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addFolderAssignment

          public void addFolderAssignment(CWE objFolderAssignment)

      Set the Folder Assignment.
      Parameters:
        `objFolderAssignment` - Specifies Folder Assignment

    - #### setFolderAssignment

          public void setFolderAssignment(ISingleCollection<CWE> objFolderAssignmentList)

      Set the Folder Assignment.
      Parameters:
        `objFolderAssignmentList` - List of Folder Assignment

    - #### addDocumentTitle

          public void addDocumentTitle(java.lang.String strDocumentTitle)

      Set the Document Title.
      Parameters:
        `strDocumentChangeReason` - Use as Document Change Reason.

    - #### addDocumentTitle

          public void addDocumentTitle(ST objDocumentTitle)

      Set the Document Title.
      Parameters:
        `objDocumentTitle` - Use as Document Title.

    - #### setDocumentTitle

          public void setDocumentTitle(ISingleCollection<ST> objDocumentTitleList)

      Set the Document Title.
      Parameters:
        `objDocumentTitleList` - List of Document Title

    - #### setAgreedDueDateTime

          public void setAgreedDueDateTime(java.lang.String strTime)

      Set the Agreed Due Date/Time.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setAgreedDueDateTime

          public void setAgreedDueDateTime(DTM objAgreedDueDateTime)

      Set the Agreed Date/Time.
      Parameters:
        `objAgreedDueDateTime` - Object of Agreed Due Date/Time.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.